Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management.credentials
Class CredentialSecurityMgmtHelper

    java.lang.Object
      com.bea.p13n.security.management.credentials.CredentialSecurityMgmtHelper

    public class CredentialSecurityMgmtHelper

extends Object

Provides helper methods for accessing security management classes, especially those used to manage SSPI providers.

Constructor Summary
`CredentialSecurityMgmtHelper()`

Method Summary
`static CredentialProviderDescription` | `findProviderByName(AuthenticatedSubject authSubject, String aDisplayName)` Returns the configured SSPI authentication provider with a matching display name.
`static CredentialProviderDescription` | `findProviderByUniqueName(AuthenticatedSubject authSubject, String aUniqueId)` Returns the configured SSPI authentication provider with a matching unique id which is the concatenation of display name and version number.
`static CredentialProviderDescription` | `getDefaultProvider(AuthenticatedSubject authSubject)` Returns the default configured SSPI Credential provider.
`static List` | `getProviders(AuthenticatedSubject authSubject)` Returns the list of currently configured SSPI Credential Mapper providers.
`static String` | `getProviderUniqueName(String aDisplayName, String aVersion)` Returns unique id of the provider which is the concatenation of display name and version number.
`static boolean` | `isMultiCredentialProviderMode(AuthenticatedSubject authSubject)` Returns an indication of whether multiple authentication providers have been configured.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CredentialSecurityMgmtHelper

    public CredentialSecurityMgmtHelper()

Method Detail

### getProviders

    public static List getProviders(AuthenticatedSubject authSubject)
                             throws ProviderMgmtException

  Returns the list of currently configured SSPI Credential Mapper providers.

  Parameters
    `authSubject` - An Admin role subject
  Returns
    List of AtnProviderDescription objects
  Throws
    `ProviderMgmtException`

### getDefaultProvider

    public static CredentialProviderDescription getDefaultProvider(AuthenticatedSubject authSubject)
                                                            throws ProviderMgmtException

  Returns the default configured SSPI Credential provider.

  Returns
    default CredentialProviderDescription
  Throws
    `ProviderMgmtException`

### findProviderByName

    public static CredentialProviderDescription findProviderByName(AuthenticatedSubject authSubject,
                                                                   String aDisplayName)
                                                            throws ProviderMgmtException

  Returns the configured SSPI authentication provider with a matching display name.

  Parameters
    `aDisplayName` - The name entered at the WLS console when creating a new authentication provider.
  Returns
    AtnProviderDescription or null, if no matching provider found
  Throws
    `ProviderMgmtException`

### findProviderByUniqueName

    public static CredentialProviderDescription findProviderByUniqueName(AuthenticatedSubject authSubject,
                                                                         String aUniqueId)
                                                                  throws ProviderMgmtException

  Returns the configured SSPI authentication provider with a matching unique id which is the concatenation of display name and version number.

  Parameters
    `aUniqueId` - Concatenation of display name and version number
  Returns
    AtnProviderDescription or null, if no matching provider found
  Throws
    `ProviderMgmtException`

### getProviderUniqueName

    public static String getProviderUniqueName(String aDisplayName,
                                               String aVersion)

  Returns unique id of the provider which is the concatenation of display name and version number.

  Parameters
    `aDisplayName` - The provider name
    `aVersion` - The provider version
  Returns
    unique id

### isMultiCredentialProviderMode

    public static boolean isMultiCredentialProviderMode(AuthenticatedSubject authSubject)

  Returns an indication of whether multiple authentication providers have been configured.

  Returns
    True if more than one authentication provider is found, else false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved